<script lang="ts">
	import { fade } from 'svelte/transition';
	import { goto } from '$app/navigation';
	import { ArrowLeftIcon } from 'svelte-feather-icons';
	import Button from '../Main/Button.svelte';
	import Input from '../Main/Input.svelte';
	import { onMount } from 'svelte';
	import type { ActionData } from '../../routes/create-account/$types';

	export let type: 'login' | 'create-account' = 'login';
</script>

<div class="p-4 border-2 border-primary-500 bg-light-surface-500 rounded-lg w-full">
	<form action={'/' + type} class="flex flex-col gap-2" method="POST">
		<Input name="email" label="E-mail" />
		<Input name="password" label="Mot de passe" type="password" />
		{#if type === 'create-account'}
			<Input name="fullname" label="Nom complet" />
			<Input name="phonenumber" label="Téléphone" />
		{/if}

		<div class="flex gap-2 justify-between">
			<Button
				type="secondary"
				on:click={() => {
					goto('/');
				}}
			>
				<ArrowLeftIcon class="w-6 h-6" />
				<span>Retour</span>
			</Button>
			<Button buttonType="submit">
				{#if type === 'login'}
					Se connecter
				{:else}
					Créer un compte
				{/if}
			</Button>
		</div>
	</form>
</div>
